summaryrefslogtreecommitdiff
path: root/tests/cert-tests/pkcs7-cat
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/pkcs7-cat')
-rwxr-xr-xtests/cert-tests/pkcs7-cat45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/cert-tests/pkcs7-cat b/tests/cert-tests/pkcs7-cat
new file mode 100755
index 0000000000..7a18dd3b47
--- /dev/null
+++ b/tests/cert-tests/pkcs7-cat
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# Copyright (C) 2015 Nikos Mavrogiannopoulos
+#
+# This file is part of GnuTLS.
+#
+# GnuTLS is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# GnuTLS is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GnuTLS; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+#set -e
+
+srcdir="${srcdir:-.}"
+CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
+DIFF="${DIFF:-diff -b -B}"
+if ! test -z "${VALGRIND}"; then
+ VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=15"
+fi
+OUTFILE=out-pkcs7.$$.tmp
+
+. ${srcdir}/../scripts/common.sh
+
+check_for_datefudge
+datefudge -s "2016-10-1" \
+${VALGRIND} "${CERTTOOL}" --p7-verify --inder --infile "${srcdir}/data/pkcs7-cat.p7" --load-ca-certificate "${srcdir}/data/pkcs7-cat-ca.pem"
+rc=$?
+
+if test "${rc}" != "0"; then
+ echo "PKCS7 verification failed (1)"
+ exit 1
+fi
+
+rm -f "${OUTFILE}"
+
+exit 0